petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscOptionsBoolGroupEnd

Last in a series of logical queries on the options database for which at most a single value can be true.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscOptionsBoolGroupEnd_Private(PetscOptionItems *PetscOptionsObject,const char opt[],const char text[],const char man[],PetscBool  *flg)

Logically Collective on the communicator passed in PetscOptionsBegin() Many br

### Input Parameters

| opt | - option name Many br
| text | - short string that describes the option Many br
| man | - manual page with additional information on option Many br

### Output Parameter

flg -PETSC_TRUE if found, else PETSC_FALSE Many br

Many br

Notes: Must be between a PetscOptionsBegin() and a PetscOptionsEnd() Many br

Must follow a PetscOptionsBoolGroupBegin() Many br

### See Also

PetscOptionsGetInt(NULL,), PetscOptionsGetReal(),
PetscOptionsHasName(), PetscOptionsGetIntArray(), PetscOptionsGetRealArray(), PetscOptionsBool(), Many brPetscOptionsName(), PetscOptionsBegin(), PetscOptionsEnd(), PetscOptionsHead(), Many brPetscOptionsStringArray(),PetscOptionsRealArray(), PetscOptionsScalar(), Many brPetscOptionsBoolGroupBegin(), PetscOptionsBoolGroup(), PetscOptionsBoolGroupEnd(), Many brPetscOptionsFList(), PetscOptionsEList() Many br

Level:intermediate
Location:src/sys/objects/aoptions.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages